## utfcheck 1.2

=== test/samples/Makefile ===

#
# Note: this is run by hand by the package maintainer
# to compile gen-utf.c and run it to create the input
# files for testing.  It is not expected to be run by
# an end user.
#
all: gen-utf
	./gen-utf
	\rm -f *.txt.gz
	for i in *.txt ; do \
	   gzip -9 $$i ; \
	done

clean:
	\rm -f gen-utf

distclean: clean

.PHONY: all clean distclean

## utfcheck 1.1

=== debian/changelog ===
utfcheck (1.1-2) unstable; urgency=medium

  * Changed compatibility level from 10 to 11.
  * Modified debian/tests/control. 

 -- Paul Hardy <unifoundry@unifoundry.com>  Thu, 09 Aug 2018 06:38:56 -0700

utfcheck (1.1-1) unstable; urgency=medium

  * Initial release (Closes: #904943).

 -- Paul Hardy <unifoundry@unifoundry.com>  Sat, 04 Aug 2018 14:03:31 -0700

=== debian/control ===
Source: utfcheck
Maintainer: Paul Hardy <unifoundry@unifoundry.com>
Section: text
Priority: optional
Build-Depends: debhelper (>= 11), flex
Standards-Version: 4.2.0
Homepage: http://unifoundry.com/utfcheck/

Package: utfcheck
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: check validity of UTF-8 and ASCII files
 The utfcheck program examines a text file and prints a summary
 of what the file contains: ASCII, UTF-8, UTF-16 (either big-endian
 or little-endian based on an initial Byte Order Mark), or binary
 data.  ASCII and UTF-8 files are processed further; UTF-16 and
 binary files are not.  For a UTF-8 file, the summary includes
 whether or not the file begins with the Unicode Byte Order Mark
 (U+FEFF).  Any following data encountered that is not well-formed
 ASCII or UTF-8 Unicode is considered to be binary data; upon
 reading such data the input file is considered not to be a proper
 text file and the program exits with an error status.
 .
 The utfcheck program returns an exit status of EXIT_SUCCESS if
 the text file was well-formed, and EXIT_FAILURE otherwise.

=== debian/tests/control ===
Test-Command: cd test && progloc=`which utfcheck` && utfcheck_bindir=`dirname $progloc` ./test-all

## utfcheck 1.2

=== debian/changelog ===
utfcheck (1.2-2) unstable; urgency=medium

  * QA upload.
  * debian/control: update Standards-Version.
  * debian/upstream/signing-key.asc: update file.

 -- Paul Hardy <unifoundry@unifoundry.com>  Wed, 06 Mar 2019 19:40:21 -0800

utfcheck (1.2-1) unstable; urgency=medium

  * Updated for Policy 4.2.1.
  * Simplified debian/tests/control by pointing to /usr/bin for executable.
  * Improved handling of undefined command line arguments (Closes: #905686).

 -- Paul Hardy <unifoundry@unifoundry.com>  Sun, 02 Sep 2018 17:56:58 -0700

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: utfcheck
-Maintainer: Paul Hardy <unifoundry@unifoundry.com>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Section: text
 Priority: optional
 Build-Depends: debhelper (>= 11), flex
-Standards-Version: 4.2.0
+Standards-Version: 4.3.0
 Homepage: http://unifoundry.com/utfcheck/
 
 Package: utfcheck

=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CFLAGS   = -Wall $(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
LDFLAGS  = $(shell dpkg-buildflags --get LDFLAGS)

%:
	dh $@

#
# Exclude ChangeLog until dh_installchangelogs is updated,
# to comply with Debian Policy Version 4.2.0.
#
override_dh_installchangelogs:
	dh_installchangelogs --exclude=ChangeLog

=== debian/tests/control ===
Test-Command: cd test && utfcheck_bindir=/usr/bin ./test-all

=== debian/watch ===
# Watch control file for uscan
# See uscan(1) for format

# Compulsory line; this is a version 4 file
version=4

# Examine a Webserver directory
opts=pgpsigurlmangle=s/$/.sig/ \
     http://unifoundry.com/pub/utfcheck/utfcheck-([\d\.]+)/ \
           utfcheck-([\d\.]+)\.tar\.gz
